{"components":{"parameters":{"reduceClusterList":{"description":"If true, When returning a list of cluster_ids/cluster_uuids/subscription_ids, if those are already included in one of the organizations provided in organization_ids, do not include it in the list.","in":"query","name":"reduceClusterList","required":false,"schema":{"type":"boolean"}}},"schemas":{"AccessReview":{"example":{"account_username":"account_username","action":"get","cluster_id":"cluster_id","cluster_uuid":"cluster_uuid","organization_id":"organization_id","resource_type":"AddOn","subscription_id":"subscription_id"},"properties":{"account_username":{"type":"string"},"action":{"enum":["get","list","create","delete","update"],"type":"string"},"cluster_id":{"type":"string"},"cluster_uuid":{"type":"string"},"organization_id":{"type":"string"},"resource_type":{"enum":["AddOn","Flavour","Account","AccountPool","Cluster","Plan","Subscription","Organization","Role","Permission","RoleBinding","Registry","RegistryCredential","CurrentAccount","AccessReview","SelfAcccessReview","ResourceReview","SelfResourceReview","ClusterRegistration","AccessToken","ClusterAuthorization","SelfManagedCluster","RedhatManagedCluster","ExportControlReview","ClusterLog","ClusterCredential","ClusterMetric","ResourceQuota","ReservedResource","Dashboard","ClusterProviderAndRegion","ServiceLog","InternalServiceLog","CSLogs","SubscriptionLabel","OrganizationLabel","SubscriptionLabelInternal","SelfAccessReview","SubscriptionInternal","SubscriptionRoleBinding"],"type":"string"},"subscription_id":{"type":"string"}},"required":["account_username","action","resource_type"],"type":"object"},"AccessReviewResponse":{"example":{"account_id":"account_id","action":"get","allowed":true,"cluster_id":"cluster_id","cluster_uuid":"cluster_uuid","organization_id":"organization_id","resource_type":"AddOn","subscription_id":"subscription_id"},"properties":{"account_id":{"type":"string"},"action":{"enum":["get","list","create","delete","update"],"type":"string"},"allowed":{"type":"boolean"},"cluster_id":{"type":"string"},"cluster_uuid":{"type":"string"},"organization_id":{"type":"string"},"resource_type":{"enum":["AddOn","Flavour","Account","AccountPool","Cluster","Plan","Subscription","Organization","Role","Permission","RoleBinding","Registry","RegistryCredential","CurrentAccount","AccessReview","SelfAcccessReview","ResourceReview","SelfResourceReview","ClusterRegistration","AccessToken","ClusterAuthorization","SelfManagedCluster","RedhatManagedCluster","ExportControlReview","ClusterLog","ClusterCredential","ClusterMetric","ResourceQuota","ReservedResource","Dashboard","ClusterProviderAndRegion","ServiceLog","InternalServiceLog","CSLogs","SubscriptionLabel","OrganizationLabel","SubscriptionLabelInternal","SelfAccessReview","SubscriptionInternal","SubscriptionRoleBinding"],"type":"string"},"subscription_id":{"type":"string"}},"required":["allowed"],"type":"object"},"CapabilityReview":{"example":{"result":"result"},"properties":{"result":{"type":"string"}},"required":["result"],"type":"object"},"CapabilityReviewRequest":{"example":{"account_username":"account_username","capability":"manage_cluster_admin","cluster_id":"cluster_id","organization_id":"organization_id","subscription_id":"subscription_id","type":"Cluster"},"properties":{"account_username":{"type":"string"},"capability":{"enum":["manage_cluster_admin"],"type":"string"},"cluster_id":{"type":"string"},"organization_id":{"type":"string"},"subscription_id":{"type":"string"},"type":{"enum":["Cluster"],"type":"string"}},"required":["account_username","capability","type"],"type":"object"},"Error":{"allOf":[{"$ref":"#/components/schemas/ObjectReference"},{"$ref":"#/components/schemas/Error_allOf"}]},"Error_allOf":{"properties":{"code":{"type":"string"},"operation_id":{"type":"string"},"reason":{"type":"string"}},"type":"object"},"ExportControlReview":{"example":{"restricted":true},"properties":{"restricted":{"type":"boolean"}},"required":["restricted"],"type":"object"},"ExportControlReviewRequest":{"example":{"account_username":"account_username","ignore_cache":true},"properties":{"account_username":{"type":"string"},"ignore_cache":{"type":"boolean"}},"required":["account_username"],"type":"object"},"FeatureReview":{"example":{"account_username":"account_username","feature":"feature","organization_id":"organization_id"},"properties":{"account_username":{"type":"string"},"feature":{"type":"string"},"organization_id":{"type":"string"}},"required":["feature"],"type":"object"},"FeatureReviewResponse":{"example":{"enabled":false,"feature_id":"feature_id"},"properties":{"enabled":{"default":false,"type":"boolean"},"feature_id":{"type":"string"}},"required":["enabled","feature_id"],"type":"object"},"ObjectReference":{"properties":{"href":{"type":"string"},"id":{"type":"string"},"kind":{"type":"string"}},"type":"object"},"ResourceReview":{"example":{"account_username":"account_username","action":"get","cluster_ids":["cluster_ids","cluster_ids"],"cluster_uuids":["cluster_uuids","cluster_uuids"],"organization_ids":["organization_ids","organization_ids"],"resource_type":"Cluster","subscription_ids":["subscription_ids","subscription_ids"]},"properties":{"account_username":{"type":"string"},"action":{"enum":["get","list","create","delete","update"],"type":"string"},"cluster_ids":{"items":{"type":"string"},"type":"array"},"cluster_uuids":{"items":{"type":"string"},"type":"array"},"organization_ids":{"items":{"type":"string"},"type":"array"},"resource_type":{"enum":["Cluster","Subscription"],"type":"string"},"subscription_ids":{"items":{"type":"string"},"type":"array"}},"required":["account_username","action","cluster_ids","cluster_uuids","organization_ids","resource_type","subscription_ids"],"type":"object"},"ResourceReviewRequest":{"example":{"account_username":"account_username","action":"get","resource_type":"Cluster"},"properties":{"account_username":{"type":"string"},"action":{"enum":["get","delete","update"],"type":"string"},"resource_type":{"enum":["Cluster","Subscription"],"type":"string"}},"type":"object"},"SelfAccessReview":{"example":{"action":"get","cluster_id":"cluster_id","cluster_uuid":"cluster_uuid","organization_id":"organization_id","resource_type":"AddOn","subscription_id":"subscription_id"},"properties":{"action":{"enum":["get","list","create","delete","update"],"type":"string"},"cluster_id":{"type":"string"},"cluster_uuid":{"type":"string"},"organization_id":{"type":"string"},"resource_type":{"enum":["AddOn","Flavour","Account","AccountPool","Cluster","Plan","Subscription","Organization","Role","Permission","RoleBinding","Registry","RegistryCredential","CurrentAccount","AccessReview","SelfAcccessReview","ResourceReview","SelfResourceReview","ClusterRegistration","AccessToken","ClusterAuthorization","SelfManagedCluster","RedhatManagedCluster","ExportControlReview","ClusterLog","ClusterCredential","ClusterMetric","ResourceQuota","ReservedResource","Dashboard","ClusterProviderAndRegion","ServiceLog","InternalServiceLog","CSLogs","SubscriptionLabel","OrganizationLabel","SubscriptionLabelInternal","SelfAccessReview","SubscriptionInternal","SubscriptionRoleBinding"],"type":"string"},"subscription_id":{"type":"string"}},"required":["action","resource_type"],"type":"object"},"SelfFeatureReview":{"example":{"feature":"feature"},"properties":{"feature":{"type":"string"}},"required":["feature"],"type":"object"},"SelfResourceReview":{"example":{"action":"get","cluster_ids":["cluster_ids","cluster_ids"],"cluster_uuids":["cluster_uuids","cluster_uuids"],"organization_ids":["organization_ids","organization_ids"],"resource_type":"Cluster","subscription_ids":["subscription_ids","subscription_ids"]},"properties":{"action":{"enum":["get","list","create","delete","update"],"type":"string"},"cluster_ids":{"items":{"type":"string"},"type":"array"},"cluster_uuids":{"items":{"type":"string"},"type":"array"},"organization_ids":{"items":{"type":"string"},"type":"array"},"resource_type":{"enum":["Cluster","Subscription"],"type":"string"},"subscription_ids":{"items":{"type":"string"},"type":"array"}},"required":["action","cluster_ids","cluster_uuids","organization_ids","resource_type","subscription_ids"],"type":"object"},"SelfResourceReviewRequest":{"example":{"action":"get","resource_type":"Cluster"},"properties":{"action":{"enum":["get","delete","update"],"type":"string"},"resource_type":{"enum":["Cluster","Subscription"],"type":"string"}},"type":"object"},"SelfTermsReview":{"example":{"check_optional_terms":true,"event_code":"event_code","site_code":"site_code"},"properties":{"check_optional_terms":{"default":true,"type":"boolean"},"event_code":{"type":"string"},"site_code":{"type":"string"}},"type":"object"},"TermsReview":{"example":{"account_username":"account_username","check_optional_terms":true,"event_code":"event_code","site_code":"site_code"},"properties":{"account_username":{"type":"string"},"check_optional_terms":{"default":true,"type":"boolean"},"event_code":{"type":"string"},"site_code":{"type":"string"}},"required":["account_username"],"type":"object"},"TermsReviewResponse":{"example":{"account_id":"account_id","organization_id":"organization_id","redirect_url":"redirect_url","terms_available":true,"terms_required":true},"properties":{"account_id":{"type":"string"},"organization_id":{"type":"string"},"redirect_url":{"type":"string"},"terms_available":{"type":"boolean"},"terms_required":{"type":"boolean"}},"required":["account_id","organization_id","terms_available","terms_required"],"type":"object"}},"securitySchemes":{"AccessToken":{"description":"Authorization: AccessToken {cluster-uuid}:{access-token}","in":"header","name":"Authorization","type":"apiKey"},"Bearer":{"bearerFormat":"JWT","scheme":"bearer","type":"http"}}},"info":{"description":"Enables access control on resources of OCM services","title":"Authorization Service API","version":"0.0.1"},"openapi":"3.0.0","paths":{"/api/authorizations/v1/access_review":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessReview"}}},"description":"Access review data","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessReviewResponse"}}},"description":"Review successfully generated"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform operation"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unsupported action, non-existent resource type, or non-existent account"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating access review"}},"security":[{"Bearer":[]}],"summary":"Review an account's access to perform an action on a particular resource or resource type"}},"/api/authorizations/v1/capability_review":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CapabilityReviewRequest"}}},"description":"Capability review data","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CapabilityReview"}}},"description":"Successful review"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform capability reviews"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating capability review"}},"security":[{"Bearer":[]}],"summary":"Review an account's capabilities"}},"/api/authorizations/v1/export_control_review":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportControlReviewRequest"}}},"description":"Export control review data","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportControlReview"}}},"description":"Successful review"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform operation"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating access review"}},"security":[{"Bearer":[]}],"summary":"Determine whether a user is restricted from downloading Red Hat software based on export control compliance.\n"}},"/api/authorizations/v1/feature_review":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureReview"}}},"description":"Feature review data","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureReviewResponse"}}},"description":"Review successfully generated"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform operation"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating feature review"}},"security":[{"Bearer":[]}],"summary":"Review feature to perform an action on it such as toggle a feature on/off"}},"/api/authorizations/v1/resource_review":{"post":{"deprecated":true,"parameters":[{"description":"If true, When returning a list of cluster_ids/cluster_uuids/subscription_ids, if those are already included in one of the organizations provided in organization_ids, do not include it in the list.","in":"query","name":"reduceClusterList","required":false,"schema":{"type":"boolean"}},{"description":"A comma-separated list of subscription statuses. Subscriptions with these statuses will be excluded from results. This options is mutually exclusive with includeSubscriptionStatuses.","in":"query","name":"excludeSubscriptionStatuses","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of subscription statuses. Only subscriptions with these statuses will be included into results. This options is mutually exclusive with excludeSubscriptionStatuses.","in":"query","name":"includeSubscriptionStatuses","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceReviewRequest"}}},"description":"Resource review data","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceReview"}}},"description":"Successful review"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform resource reviews"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unsupported action or non-existent resource type"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating access review"}},"security":[{"Bearer":[]}],"summary":"Obtain resource ids for resources an account may perform the specified action upon. Resource ids returned as [\"*\"] is shorthand for all ids."}},"/api/authorizations/v1/self_access_review":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelfAccessReview"}}},"description":"Self access review data","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessReviewResponse"}}},"description":"Review successfully generated"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform operation"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unsupported action or non-existent resource type"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating access review"}},"security":[{"Bearer":[]}],"summary":"Review your ability to perform an action on a particular resource or resource type"}},"/api/authorizations/v1/self_feature_review":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelfFeatureReview"}}},"description":"Self feature review data","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureReviewResponse"}}},"description":"Review successfully generated"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform operation"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating feature review"}},"security":[{"Bearer":[]}],"summary":"Review your ability to toggle a feature"}},"/api/authorizations/v1/self_resource_review":{"post":{"parameters":[{"description":"If true, When returning a list of cluster_ids/cluster_uuids/subscription_ids, if those are already included in one of the organizations provided in organization_ids, do not include it in the list.","in":"query","name":"reduceClusterList","required":false,"schema":{"type":"boolean"}},{"description":"A comma-separated list of subscription statuses. Subscriptions with these statuses will be excluded from results. This options is mutually exclusive with includeSubscriptionStatuses.","in":"query","name":"excludeSubscriptionStatuses","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of subscription statuses. Only subscriptions with these statuses will be included into results. This options is mutually exclusive with excludeSubscriptionStatuses.","in":"query","name":"includeSubscriptionStatuses","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelfResourceReviewRequest"}}},"description":"Self resource review data","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelfResourceReview"}}},"description":"Successful review"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform self resource reviews"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unsupported action or non-existent resource type"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating access review"}},"security":[{"Bearer":[]}],"summary":"Obtain resource ids for resources you may perform the specified action upon. Resource ids returned as [\"*\"] is shorthand for all ids."}},"/api/authorizations/v1/self_terms_review":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelfTermsReview"}}},"description":"Data to check self terms for","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsReviewResponse"}}},"description":"Review successfully generated"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform operation"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unsupported action or non-existent resource type"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating terms review"}},"security":[{"Bearer":[]}],"summary":"Review your status of Terms"}},"/api/authorizations/v1/terms_review":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsReview"}}},"description":"Data to check terms for","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsReviewResponse"}}},"description":"Review successfully generated"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Validation errors occurred"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Auth token is invalid"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized to perform operation"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unsupported action, non-existent resource type, or non-existent account"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unexpected error occurred while generating terms review"}},"security":[{"Bearer":[]}],"summary":"Review an account's status of Terms"}}},"servers":[{"description":"Main (production) server","url":"https://api.openshift.com"},{"description":"Staging server","url":"https://api.stage.openshift.com"},{"description":"current domain","url":"/"}]}